Package com.independentsoft.office.drawing

# Class RgbColor

java.lang.Object
com.independentsoft.office.drawing.ColorChoice
com.independentsoft.office.drawing.RgbColor

public class RgbColor extends ColorChoice
The Class RgbColor.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.drawing.ColorChoice

  `colorTransforms`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RgbColor()`
  Instantiates a new rgb color.
  `RgbColor​(InternalXMLStreamReader reader)`
  Instantiates a new rgb color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RgbColor`
  `clone()`
  `int`
  `getBlueValue()`
  Gets the blue value.
  `int`
  `getGreenValue()`
  Gets the green value.
  `int`
  `getRedValue()`
  Gets the red value.
  `void`
  `setBlueValue​(int blueValue)`
  Sets the blue value.
  `void`
  `setGreenValue​(int greenValue)`
  Sets the green value.
  `void`
  `setRedValue​(int redValue)`
  Sets the red value.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.drawing.ColorChoice

  `getColorTransforms`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RgbColor

    public RgbColor()
    Instantiates a new rgb color.

  - ### RgbColor

    public RgbColor​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new rgb color.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public RgbColor clone()
    Specified by:
      `clone` in class `ColorChoice`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBlueValue

    public int getBlueValue()
    Gets the blue value.
    Returns:
      the blue value

  - ### setBlueValue

    public void setBlueValue​(int blueValue)
    Sets the blue value.
    Parameters:
      `blueValue` - the new blue value

  - ### getGreenValue

    public int getGreenValue()
    Gets the green value.
    Returns:
      the green value

  - ### setGreenValue

    public void setGreenValue​(int greenValue)
    Sets the green value.
    Parameters:
      `greenValue` - the new green value

  - ### getRedValue

    public int getRedValue()
    Gets the red value.
    Returns:
      the red value

  - ### setRedValue

    public void setRedValue​(int redValue)
    Sets the red value.
    Parameters:
      `redValue` - the new red value